Bug 834827 - [abrt] gdb-7.4.50.20120120-42.fc17: update_refs: Process /usr/bin/gdb was killed by signal 7 (SIGBUS)
[abrt] gdb-7.4.50.20120120-42.fc17: update_refs: Process /usr/bin/gdb was kil...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:b81b41ec854e1406b792767934a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 21:54 EDT by melanphos
Modified: 2012-07-02 10:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 11:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.12 KB, text/plain)
2012-06-23 21:54 EDT, melanphos
no flags Details
File: backtrace (62.33 KB, text/plain)
2012-06-23 21:54 EDT, melanphos
no flags Details
File: maps (14.91 KB, text/plain)
2012-06-23 21:54 EDT, melanphos
no flags Details

  None (edit)
Description melanphos 2012-06-23 21:54:10 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /usr/lib/debug' -ex 'file /usr/bin/totem' -ex 'core-file ./coredump' -ex 'backtrace 2048'
crash_function: update_refs
executable:     /usr/bin/gdb
kernel:         3.4.3-1.fc17.x86_64
pid:            4416
pwd:            /var/spool/abrt/ccpp-2012-06-24-03:23:55-4396
time:           dim. 24 juin 2012 03:23:57 CEST
uid:            1000
username:       simon

backtrace:      Text file, 63831 bytes
core_backtrace: Text file, 4215 bytes
maps:           Text file, 15271 bytes

build_ids:
:d8167f71e1e2d0ac457d9237f4695816ec2456d0
:45e0014c86f9c5707b728cec9485c036cf17aed7
:7024c532984148e2b555c6194ff684a6d0e80d78
:fad2d57f73db1d2b51917a93ac42fb4e1308b141
:66ff6e23f48b16dd1cd292e31a109a8c98ff70f2
:554cdc509ec30eb9a822bc8facc7975b7238d609
:9c416df34aef78b429bb43617c68f6d76c29ec6b
:e39eabcb2094dd49bba5251f69fce572b2bd7011
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:cb3abc771c2125ce17de417c370bd12a10dfb889
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:cd6934c7ffdc10b4626f8a94336de83eb989545e
:f64b7319b84d426ed547084bdb2577f4f596c18f
:88426ee2dde057368a4d4787e70fdeb65ff479cc
:67792c148d2b8f13f6732c9367e926c26d7376c5
:c4ec0971b2dcee71aaf8374975474054245fea00
:73777e822e00ca152ffca281ab0ace0cb498ec48
:efb4769976ac3cc8192277706894a2d7b3256ed1
:1a0c09f270adf8398df4362ce0acfafc1f970982
:37347c1c8e4efbf98acb510e94aff8ec0b173c4c
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:4d09d82785dab5f95c01b69bc0785145a5954d30
:e7e16a6d8a0bea70fd233c0840764c05b9a40951
:929d271f51370434d6e9f63b74694fb424470462
:6e2537ccbd5fafa7671f182cbd0b30c46c59bd49
:731b3801f71de6bd888953161b715e6cbda0ab60
:350920b52e92655cdb258fa5f96fe7004ad07a52
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:5dd234206476b0387cd251598aa72a2c95c763c5
:822e9b3523e8312240f41a25722d539bc77ed436
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:9ec2f366de6494fb16b1d743cb62892f4b74a808
:d74c5facc600e702f7e69f50ecea66c97b2bed77
:6b242feb189d00d226b3508441ebdb03e8222ff9
:c04e591ba5fff2694e134125ec6cf7c28c579cb4

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/abrtd.service
:2:cpuset:/
:1:name=systemd:/system/abrtd.service

dso_list:
:/usr/lib64/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.3-6.fc17.x86_64 (Fedora Project) 1338489547
:/usr/lib64/libplc4.so nspr-4.9-2.fc17.x86_64 (Fedora Project) 1338489451
:/usr/lib64/libattr.so.1.1.0 libattr-2.4.46-5.fc17.x86_64 (Fedora Project) 1338489449
:/usr/lib64/libpopt.so.0.0.0 popt-1.13-10.fc17.x86_64 (Fedora Project) 1338489452
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.11-3.fc17.x86_64 (Fedora Project) 1339245249
:/usr/lib64/libcap.so.2.22 libcap-2.22-2.fc17.x86_64 (Fedora Project) 1338489449
:/usr/lib64/libreadline.so.6.2 readline-6.2-4.fc17.x86_64 (Fedora Project) 1338489452
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1338489449
:/usr/lib64/libnss3.so nss-3.13.4-3.fc17.x86_64 (Fedora Project) 1338489573
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338489445
:/usr/lib64/libnssutil3.so nss-util-3.13.4-2.fc17.x86_64 (Fedora Project) 1338489452
:/usr/lib64/libncurses.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1338489449
:/usr/lib64/libbz2.so.1.0.6 bzip2-libs-1.0.6-4.fc17.x86_64 (Fedora Project) 1338489452
:/usr/lib64/libnss_files-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338489445
:/usr/lib64/libfreebl3.so nss-softokn-freebl-3.13.4-2.fc17.x86_64 (Fedora Project) 1338489438
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338489445
:/usr/lib64/libthread_db-1.0.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338489445
:/usr/lib64/libutil-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338489445
:/usr/lib64/librpmio.so.2.0.1 rpm-libs-4.9.1.3-7.fc17.x86_64 (Fedora Project) 1338491197
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338489445
:/usr/lib64/libdb-5.2.so libdb-5.2.36-5.fc17.x86_64 (Fedora Project) 1338489461
:/usr/lib64/libelf-0.153.so elfutils-libelf-0.153-2.fc17.x86_64 (Fedora Project) 1338489456
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338489445
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1338489449
:/usr/lib64/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1338489449
:/usr/lib64/libplds4.so nspr-4.9-2.fc17.x86_64 (Fedora Project) 1338489451
:/usr/lib64/liblua-5.1.so lua-5.1.4-10.fc17.x86_64 (Fedora Project) 1338489465
:/usr/lib64/liblzma.so.5.0.99 xz-libs-5.1.1-2alpha.fc17.x86_64 (Fedora Project) 1338489454
:/usr/lib64/libsoftokn3.so nss-softokn-3.13.4-2.fc17.x86_64 (Fedora Project) 1338489497
:/usr/lib64/libnspr4.so nspr-4.9-2.fc17.x86_64 (Fedora Project) 1338489451
:/usr/lib64/libacl.so.1.1.0 libacl-2.2.51-5.fc17.x86_64 (Fedora Project) 1338489453
:/usr/lib64/librpm.so.2.0.3 rpm-libs-4.9.1.3-7.fc17.x86_64 (Fedora Project) 1338491197
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338489445
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338489445
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.3-6.fc17.x86_64 (Fedora Project) 1338489547
:/usr/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc17.x86_64 (Fedora Project) 1338489454
:/usr/bin/gdb gdb-7.4.50.20120120-42.fc17.x86_64 (Fedora Project) 1338489560

environ:
:ABRT_VERBOSE=0
:REPORT_CLIENT_SLAVE=1
:SYSFONT=True
:PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin
:PWD=/var/spool/abrt/ccpp-2012-06-24-03:23:55-4396
:ABRT_SYSLOG=1
:KEYTABLE=fr-latin9
:SHLVL=1
:DUMP_DIR=/var/spool/abrt/ccpp-2012-06-24-03:23:55-4396
:BOOT_IMAGE=/boot/vmlinuz-3.4.3-1.fc17.x86_64
:EVENT=post-create
:_=/usr/bin/abrt-action-generate-core-backtrace

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             30585                30585                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30585                30585                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:pipe:[68232]
:pos:	0
:flags:	01
:2:pipe:[68232]
:pos:	0
:flags:	01
:3:socket:[68236]
:pos:	0
:flags:	02
:4:pipe:[68215]
:pos:	0
:flags:	01
:5:pipe:[68223]
:pos:	0
:flags:	01
:6:socket:[68237]
:pos:	0
:flags:	02
:7:pipe:[68975]
:pos:	0
:flags:	04000
:8:pipe:[68975]
:pos:	0
:flags:	01
:9:/usr/lib64/libstdc++.so.6.0.17
:pos:	974848
:flags:	02100000
:10:/usr/share/gdb/auto-load/usr/lib64/libstdc++.so.6.0.17-gdb.py
:pos:	2302
:flags:	0100000
:11:/usr/share/gcc-4.7.0/python/libstdcxx/v6/printers.py
:pos:	0
:flags:	0100000

smolt_data:
:
:
:Général
:=================================
:UUID: 2c990454-a305-4d32-a0af-ab3f543172f8
:SE: Fedora release 17 (Beefy Miracle)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 4522.01
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM)2 Duo CPU     P9300  @ 2.26GHz
:Stepping du processeur: 6
:Famille de processeur: 6
:Modèle du processeur: 23
:Nombre de processeurs: 2
:Vitesse du processeur: 2268
:Mémoire du système: 3843
:Swap du système: 3999
:Fabricant: Dell Inc.
:Système: Latitude E4300 
:Type d'ordinateur: Portable
:Noyau: 3.4.3-1.fc17.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4480:2082:4136:589) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10816:4136:589) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(4480:2098:4136:589) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10544:4136:589) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10282:4136:589) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:10519:4136:589) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:4136:589) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:16949:32902:4385) pci, iwlwifi, NETWORK, Ultimate N WiFi Link 5300
:(32902:9288:4136:589) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10566:4136:589) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10549:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4136:589) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4136:589) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10818:4136:589) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4136:589) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4136:589) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4136:589) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10820:4136:589) pci, None, SIMPLE, Mobile 4 Series Chipset MEI Controller
:(32902:10823:4136:589) pci, serial, 16550_SERIAL, Mobile 4 Series Chipset AMT SOL Redirection
:(32902:10822:4136:589) pci, ata_generic, STORAGE, Mobile 4 Series Chipset PT IDER Controller
:(32902:10551:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10558:4136:589) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 18481579 1279603 353933 4628480 4316563 4316563
:

var_log_messages:
:Jun 24 03:23:57 computer kernel: [ 4378.493070] gdb[4416] trap stack segment ip:397250a2d0 sp:7fff1a74b420 error:0
:Jun 24 03:23:58 computer abrt[4418]: Saved core dump of pid 4416 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-06-24-03:23:57-4416 (46874624 bytes)
Comment 1 melanphos 2012-06-23 21:54:16 EDT
Created attachment 593962 [details]
File: core_backtrace
Comment 2 melanphos 2012-06-23 21:54:56 EDT
Created attachment 593963 [details]
File: backtrace
Comment 3 melanphos 2012-06-23 21:54:59 EDT
Created attachment 593964 [details]
File: maps
Comment 4 Dave Malcolm 2012-06-25 16:19:57 EDT
Thanks for filing this bug report.

How reproducible is this issue?

Looking at the backtrace in attachment 593963 [details] I see that the SIGBUS occurred whilst Python's garbage-collector was running

update_refs is called at the beginning of collecting a particular generation (in this case the middle-aged objects), and walks a linked-list of all reference-owning objects doing some initial setup for the collection.  So perhaps the linked list has become corrupt, or perhaps one of these objects has been prematurely deallocated?
Comment 5 melanphos 2012-06-25 16:58:01 EDT
Its only happend once. I think that it crashed while abrt was running (for an other bug report).

I figured out today that I had way more bugs with kernel 3.4.3 than with 3.4.2 one. 

I dont know what can I do to help. :s
Comment 6 Dave Malcolm 2012-06-26 11:13:57 EDT
Thanks for the information.

Given that the bug has only been seen once, I don't think it's possible to investigate this one further: I believe that we're seeing a stray pointer corruption in one of the libraries linked into the process (see attachment 593964 [details]), as per comment #4, but there's no way to tell where, unless we see the bug again.

I'm going to close this one out with resolution "INSUFFICIENT_DATA"; feel free to reopen if you see it again.

Sorry not to be more useful.
Comment 7 melanphos 2012-06-30 10:58:00 EDT
Is it possible that this is the same bug ?

https://bugzilla.redhat.com/show_bug.cgi?id=799528
Comment 8 Dave Malcolm 2012-07-02 10:44:11 EDT
(In reply to comment #7)
> Is it possible that this is the same bug ?
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=799528

Perhaps, but there are differences: bug 834827 happens inside Python's garbage collector, whereas bug 799528 happens inside glibc's implementation of the heap, a layer of abstraction lower.

Note You need to log in before you can comment on or make changes to this bug.